#= init_data プログラム用 NAMELIST ファイル (T15L52 用)
#
#= NAMELIST file for "init_data"
#
# Authors::   Yoshiyuki O. Takahashi
# Version::   $Id: init_data_Vlp_T15L50.conf,v 1.2 2015/01/28 05:13:55 yot Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2008. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#

&restart_file_io_nml
!  OutputFile = 'init_T15L52.nc', 
  OutputFile = '0000/rst.nc', 
                              ! 初期値データのファイル名
                              ! filename of initial data
/
&fileset_nml
  FileTitle = 'dcpam5 test run', 
                              ! 出力データファイルの表題.
                              ! Title of output data files
  FileSource = 'dcpam5 (http://www.gfd-dennou.org/library/dcpam)', 
                              ! データファイル作成の手段. 
                              ! Source of data file
  FileInstitution = 'GFD Dennou Club (http://www.gfd-dennou.org)'
                              ! データファイルを最終的に変更した組織/個人. 
                              ! Institution or person that changes data files for the last time
/
&gridset_nml
  nmax = 15,                  ! 最大全波数. 
                              ! Maximum truncated wavenumber
  imax = 48,                  ! 経度格子点数. 
                              ! Number of grid points in longitude
  jmax = 24,                  ! 緯度格子点数. 
                              ! Number of grid points in latitude
  kmax = 52                   ! 鉛直層数. 
                              ! Number of vertical level
/
&constants_nml
  RPlanet    = 6051.848d3,
                              ! $ a $ [m].
                              ! 惑星半径.
                              ! Radius of planet
  Omega      = -2.993d-7,
                              ! $ \Omega $ [s-1].
                              ! 回転角速度.
                              ! Angular velocity
  Grav       = 8.90d0,
                              ! $ g $ [m s-2].
                              ! 重力加速度.
                              ! Gravitational acceleration
  CpDry      = 837.0d0,
                              ! $ C_p $ [J kg-1 K-1].
                              ! 乾燥大気の定圧比熱.
                              ! Specific heat of air at constant pressure
  MolWtDry   = 44.0d-3
                              ! $ ?? $ [kg mol-1].
                              ! 乾燥大気の平均分子量.
                              ! Mean molecular weight of dry air
/
&composition_nml
  ncmax       = 2,
  Names       = 'QH2OVap' 'TKE',
  FlagAdv     = .true.,   .true.,
  FlagMassFix = .true.,   .false.
/
&timeset_nml
  RestartTimeValue  = 0.0, 
                              ! 計算開始時刻. 
                              ! Start time of calculation
  RestartTimeUnit   = 'day', 
                              ! 計算開始時刻の単位. 
                              ! Unit of start time of calculation
!!$  Date = 2008, 10, 1, 12, 0, 0, 09, 00, 
!!$                              ! 計算開始日時. (年月日時分秒, タイムゾーン時分)
!!$                              ! Start date of calculation. 
!!$                              ! (year, month, day, hour, minute, second, 
!!$                              ! and hour, minute of time zone)
!!$  Calendar = 'gregorian', 
!!$  Calendar = 'julian', 
!!$  Calendar = 'noleap', 
!!$  Calendar = 'cyclic', 
!!$                              ! 暦法. Calender
/
&axesset_nml
  Sigma = 1.00000000      0.998001993      0.994017959      0.986097574      0.970445573      0.939882934      0.889882922      0.839882910      0.789882898      0.739882886      0.689882874      0.639882863      0.589882851      0.539882839      0.489882827      0.439882815      0.389882803      0.339882791      0.289882779      0.239882782      0.189882785      0.139882788       9.37662348E-02   6.28533885E-02   4.21318859E-02   2.82418467E-02   1.89310759E-02   1.26898792E-02   8.50628037E-03   5.70193026E-03   3.82211804E-03   2.56204233E-03   1.71738828E-03   1.15119980E-03   7.71672290E-04   5.17267385E-04   3.46734683E-04   2.32423205E-04   1.55797927E-04   1.04434468E-04   7.00045130E-05   4.69254264E-05   3.14550525E-05   2.10849521E-05   1.41336659E-05   9.47407898E-06   5.74631940E-06   3.15364673E-06   1.56605461E-06   7.03673663E-07   2.86092359E-07   1.43046179E-07   0.00000000
                              ! $ \sigma $ レベル (半整数). 
                              ! Half $ \sigma $ level
/
&initial_data_nml
  pattern = '1-d profile'
!  pattern = 'venusvira',
                              ! 初期値データのパターン.
                              ! Initial data pattern
  Ueq = -50.0d0
!  PsAvr = 95.0d5
!  PsAvr = 100.0d5
/
&set_1d_profile_nml
  InFileName = '../../../data_Venus/Pro1D_VIRA+GasVMR+CldMMR+UVabsMMR_Crisp1986+Pollack-etal1993.nc',
  PressName  = 'plev',
  TempName   = 'Temp',
!  H2OVapName = 'VMRH2O',
!  O3Name     = 'VMRO3'
  H2OVapName = '',
  O3Name     = ''
/
